de.dhbwstuttgart.parser

## Class JavaClassName

- java.lang.Object
- - de.dhbwstuttgart.typecheck.JavaClassName

    public class JavaClassName
    extends java.lang.Object

Stellt den Namen einer Java Klasse dar. Dieser kann auch den Packagenamen mit beinhalten: de.dhbwstuttgart.typeinference.Menge

Author:
  janulrich

### Field Summary

Fields
`private java.lang.String` `name`
`private PackageName` `packageName`

### Constructor Summary

Constructors
Constructor and Description
`JavaClassName(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)` Namen sind nur gleich, wenn bei den beiden zu vergleichenden JavaClassNames auch das Package angegeben ist
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    private java.lang.String name

#### packageName

    private PackageName packageName

### Constructor Detail

#### JavaClassName

    public JavaClassName(java.lang.String name)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Namen sind nur gleich, wenn bei den beiden zu vergleichenden JavaClassNames auch das Package angegeben ist

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`